Composer version2が原因でプロジェクトが動かない。。。

久しぶりにサーバーサイドのお仕事。

1年前で更新が止まっているcakephpのプロジェクトを引っ張り出してきて、早速composer intstallを実行。

しかしエラーが発生。。。

Failed to extract cakedc/auth

どうやらcomposerが2020年10月にversion2をリリースしたようでそれが原因のよう。

version 2で今までのプロジェクトが動かなくなったという話がチラホラ。。。

なのでvesion1に戻して再度composer installしたところ、無事にインストールが完了しました。

Composerを”version 1″にダウングレードする方法

バージョンを1に戻すには以下のコマンドを実行します。

composer self-update --1

逆にバージョン2にアップデートしたい場合は

composer self-update --2

とします。

Related Posts